Package picard.vcf

# Enum Class GenotypeConcordanceStates.TruthState

java.lang.Object
java.lang.Enum<GenotypeConcordanceStates.TruthState>
picard.vcf.GenotypeConcordanceStates.TruthState

All Implemented Interfaces:
  `Serializable`, `Comparable<GenotypeConcordanceStates.TruthState>`, `Constable`

Enclosing class:
  GenotypeConcordanceStates

public static enum GenotypeConcordanceStates.TruthState extends Enum<GenotypeConcordanceStates.TruthState>
These states represent the relationship between a truth genotype and the reference sequence.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`GT_FILTERED`
`HET_REF_VAR1`
`HET_VAR1_VAR2`
`HOM_REF`
`HOM_VAR1`
`IS_MIXED`
`LOW_DP`
`LOW_GQ`
`MISSING`
`NO_CALL`
`VC_FILTERED`

## Method Summary

Modifier and Type
Method
Description
`int`
`getCode()`
`static GenotypeConcordanceStates.TruthState`
`getHom(int alleleIdx)`
`static GenotypeConcordanceStates.TruthState`
`getVar(int allele0idx, int allele1idx)`
`static GenotypeConcordanceStates.TruthState`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static GenotypeConcordanceStates.TruthState[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### MISSING

public static final GenotypeConcordanceStates.TruthState MISSING

### HOM_REF

public static final GenotypeConcordanceStates.TruthState HOM_REF

### HET_REF_VAR1

public static final GenotypeConcordanceStates.TruthState HET_REF_VAR1

### HET_VAR1_VAR2

public static final GenotypeConcordanceStates.TruthState HET_VAR1_VAR2

### HOM_VAR1

public static final GenotypeConcordanceStates.TruthState HOM_VAR1

### NO_CALL

public static final GenotypeConcordanceStates.TruthState NO_CALL

### LOW_GQ

public static final GenotypeConcordanceStates.TruthState LOW_GQ

### LOW_DP

public static final GenotypeConcordanceStates.TruthState LOW_DP

### VC_FILTERED

public static final GenotypeConcordanceStates.TruthState VC_FILTERED

### GT_FILTERED

public static final GenotypeConcordanceStates.TruthState GT_FILTERED

### IS_MIXED

public static final GenotypeConcordanceStates.TruthState IS_MIXED

## Method Details

### values

public static GenotypeConcordanceStates.TruthState[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static GenotypeConcordanceStates.TruthState valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getHom

public static GenotypeConcordanceStates.TruthState getHom(int alleleIdx)

### getVar

public static GenotypeConcordanceStates.TruthState getVar(int allele0idx, int allele1idx)

### getCode

public int getCode()